Get contact activity timeline

Returns a contact's message activity, newest first, optionally filtered by channel.

GET
/v1/contacts/{id}/activity

Returns a contact's message activity, newest first, optionally filtered by channel. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string
channel?string
Value in"sms""whatsapp""email"

Response Body

ContactActivityPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contacts.getActivityTimeline({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "channel": "string",      "direction": "string",      "status": "string",      "subject": "string",      "snippet": "string",      "createdAt": "string",      "conversationId": "string"    }  ],  "nextCursor": "string"}

Related documentation